Skip to main content
POST
/
api
/
v1
/
auth
/
aws-auth
/
identities
/
{identityId}
cURL
curl --request POST \
  --url https://us.infisical.com/api/v1/auth/aws-auth/identities/{identityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "stsEndpoint": "https://sts.amazonaws.com/",
  "allowedPrincipalArns": "",
  "allowedAccountIds": "",
  "accessTokenTrustedIps": [
    {
      "ipAddress": "0.0.0.0/0"
    },
    {
      "ipAddress": "::/0"
    }
  ],
  "accessTokenTTL": 2592000,
  "accessTokenMaxTTL": 2592000,
  "accessTokenNumUsesLimit": 0
}
'
{
  "identityAwsAuth": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "<string>",
    "stsEndpoint": "<string>",
    "allowedPrincipalArns": "<string>",
    "allowedAccountIds": "<string>",
    "accessTokenTTL": 7200,
    "accessTokenMaxTTL": 7200,
    "accessTokenNumUsesLimit": 0,
    "accessTokenTrustedIps": "<unknown>",
    "accessTokenPeriod": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to attach the configuration onto.

Body

application/json
stsEndpoint
string
default:https://sts.amazonaws.com/

The endpoint URL for the AWS STS API.

Minimum string length: 1
allowedPrincipalArns
string
default:""

The comma-separated list of trusted IAM principal ARNs that are allowed to authenticate with Infisical.

Maximum string length: 4096
allowedAccountIds
string
default:""

The comma-separated list of trusted AWS account IDs that are allowed to authenticate with Infisical.

Maximum string length: 2048
accessTokenTrustedIps
object[]

The IPs or CIDR ranges that access tokens can be used from.

Minimum array length: 1
accessTokenTTL
integer
default:2592000

The lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
accessTokenMaxTTL
integer
default:2592000

The maximum lifetime for an access token in seconds.

Required range: 1 <= x <= 315360000
accessTokenNumUsesLimit
integer
default:0

The maximum number of times that an access token can be used.

Required range: x >= 0

Response

Default Response

identityAwsAuth
object
required